post
https://{domainname}/ca_apis/createAgent
Create a new agent in the system.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API enables you to create a new agent in your CloudAgent account.
To use this API with the help of a token, follow these steps:
- Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
- Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
- With the token entered, pass the below header and body parameters:
Rate LimitThis API permits up to 5 requests per minute.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Possible Responses
| Success Response | "{""Status"": ""Success"", ""Message"": ""Agent Created Successfully""}" |
| Passing Invalid Token Value | "{""status"": ""false"",""message"": ""Invalid Token"", ""data"": null}" |
| Missing Token Value | {"status": "false","message": "Token Should Not be Null or Empty.","data": null} |
| Missing apiKey key / Missing apiKey Value | "{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."", ""data"": null}" |
| Passing Invalid apiKey Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid userName Value / Missing userName key / Missing userName Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid agentId Value / Missing agentId key / Missing agentId Value / | "{ ""status"": ""error"", ""message"": ""Agent not found"" }" |
| Passing Invalid agentName Value | "{""Status"": ""Fail"",""Message"": { ""agentName"": ""The agent name must not be empty and it should be between 2 and 50 alphanumeric characters and allow special characters such as., @, _, -""}}" |
| Missing agentName Value | "{""status"": ""error"", ""message"": ""Agent Name is required""}" |
| Passing Invalid password Value | {"message": "Password length must be between 3 and 50 characters","status": "error"} |
| Missing password Value | "{""message"": ""Password is required"", ""status"": ""error""}" |
| Passing Invalid email Value | "{""message"": ""Invalid email format"", ""status"": ""error""}" |
| Missing email key | {"message": "Email should not be null or empty","status": "error"} |
| Missing email Value | {"message": "Email should not be null or empty","status": "error"} |
| More than 5 requests per minute | "{""status"": ""error"", ""message"": ""Max limit exceeded""}" |
| Passing spaces or commas in Agent Data field | {"message": "Agent data must be between 2 and 100 characters using only letters, numbers, and special characters like ., @, _, -","status": "error"} |
| Passing invalid screenRecording. | {"message": "Invalid sipLocation", "status": "error"} |
